Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCExec

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCExec

Direct Known Subclasses:
  SearchRPCExec

public abstract class RPCExec
extends java.lang.Object

RPCExec.java Interfaz que deben implementar los objetos que se encargan de manejar una llamada RPC Contiene 1 métodos mas otros 2 heredados: - service: Sirve para tratar llamadas RPC en las que se especifica el modulo y no se especifica el nombre de la función a llamar o bien llamadas genericas al servlet rpc (sin llamada rpc) - setRPCCallContext: Sirve para establecer el contexto de la llamada RPC Se llama durante el método init del servlet RPC - initialize: Sirve para inicializar el módulo, y es llamada en el metodo init del servlet RPC Created on 25 de febrero de 2002, 12:07

Version:
Author:
  IE00165T

Constructor Summary
`RPCExec()` Constructor vacio
`RPCExec(RPCContext otherContext)` Constructor en base a otro contexto

Method Summary
`void` | `destroy()` Destruction of the servlet.
`abstract void` | `initialize(RPCContext newContext)` Inicializacion: Es llamada cuando se inicializa el servlet dispatcher (una sola vez).
`abstract java.lang.String` | `service()` Funcion generica de llamada.
`void` | `setRPCContext(RPCContext newRPCContext)` Funcion para establecer el contexto de la llamada RPC.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCExec

    public RPCExec()

  Constructor vacio

### RPCExec

    public RPCExec(RPCContext otherContext)

  Constructor en base a otro contexto

Parameters:
  `otherContext` -

Method Detail

### destroy

    public void destroy()

  Destruction of the servlet.

### setRPCContext

    public void setRPCContext(RPCContext newRPCContext)

  Funcion para establecer el contexto de la llamada RPC. En esta llamada se pasa un objeto que contiene: - La sesion - La aplicacion - La request y el response - La pagina de salida Esta función es llamada por el RPCServlet en cada llamada a función remota.

  Parameters:
    `newRPCContext` - el contexto RPC

### service

    public abstract java.lang.String service()
                                      throws RPCException

  Funcion generica de llamada. Utilizada cuando se llama al dispatcher servlet de la forma: http://addr/app/rpcServlet?module=___& o bien cuando no se utiliza rpc (se hace una llamada normal a un servlet)

  Returns:
    la respuesta a devolver
  Throws:
    `RPCException` - si se produce algun error durante la llamada RPC

### initialize

    public abstract void initialize(RPCContext newContext)
                             throws RPCException

  Inicializacion: Es llamada cuando se inicializa el servlet dispatcher (una sola vez). De esta forma, se da la oportunidad a cada modulo de realizar las tareas de inicializacion oportunas

  Parameters:
    `newContext` - El contexto de la llamada RPC
  Throws:
    `RPCException` - si se produce algun error durante la llamada RPC

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD